SDL_BindGPUVertexBuffers(3)

NAME
SDL_BindGPUVertexBuffers - Binds vertex buffers on a command buffer for use with subsequent draw calls.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUVertexBuffers(
    SDL_GPURenderPass *render_pass,
    Uint32 first_slot,
    const SDL_GPUBufferBinding *bindings,
    Uint32 num_bindings);

FUNCTION PARAMETERS

render_pass
    a render pass handle.

first_slot
    the vertex buffer slot to begin binding from.

bindings
    an array of SDL_GPUBufferBinding structs containing vertex buffers and offset values.

num_bindings
    the number of bindings in the bindings array.

AVAILABILITY
This function is available since SDL 3.2.0.